Vorgänge
Hardwaretest ausführen
Startet einen nicht destruktiven Hardwaretest auf dem Dienst und liefert den erstellten Vorgang, der nach der Antwort weiterläuft.
Autorisierung
- Authorizationstringheadererforderlich
Organisations-API-Schlüssel (org_...), in der Cloud-Konsole unter https://cloud.serverside.com erstellt und einmal angezeigt, gesendet als Authorization: Bearer <key>. Authentifiziert als Organisation.
Erforderliche Berechtigung: organization.baremetal.deploy
Pfadparameter
- idstring<uuid>erforderlich
Body
application/json- isCpuIncludedbooleanerforderlich
- isMemoryIncludedbooleanerforderlich
- isDiskIncludedbooleanerforderlich
- isSmartIncludedbooleanerforderlich
- cpuDurationSecondsinteger<int32> | null
- memoryDurationSecondsinteger<int32> | null
- diskDurationSecondsinteger<int32> | null
- cpuWorkersinteger<int32> | null
- memoryPercentinteger<int32> | null
- diskBlockSizestring | null
- diskIoDepthinteger<int32> | null
Antwort
201 · application/jsonErstellt
- successbooleanerforderlich
- dataobject | nullerforderlich